<?php
namespace Zeedhi\Translate\Controller;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DependencyInjection\InstanceManager;

class Resource extends \Teknisa\Libs\Controller\CRUD {
	
	protected $dataSourceName = 'resource';
	
	public function __construct( $crudService, $environment ) {
		parent::__construct($crudService, $environment);
	}

	public function find(DTO\Request\Filter $request, DTO\Response $response) {
		
		$filter 	= $request->getFilterCriteria();
		$page 		= $filter->getPage();
		$pageSize   = $filter->getPageSize();
		$conditions = $filter->getConditions();
		$cdoperador = InstanceManager::getInstance()->getService('environment')->getCdOperador();

		$conditions[] = [
			'columnName' => 'CDOPERADOR',
			'operator' => '=',
			'value' => $cdoperador
		];

		$newFilterCriteria = new FilterCriteria(
			$this->dataSourceName, 
			$conditions, 
			$page, 
			$pageSize
		);

		$newRequest = new DTO\Request\Filter(
			$newFilterCriteria, 
			$request->getMethod(), 
			$request->getRoutePath(), 
			$request->getUserId()
		);
		$newRequest->setParameter('dbname', $this->dataSourceName);
		
		parent::find($newRequest, $response);
	}

}