#!/bin/bash

PRODUCT_PATH=/home/developer/workfolder/tm

ACL_SERVICE='git@192.168.122.56:teknisa/acl.git'
ACL_MOBILE='git@192.168.122.56:teknisa/aclfrontend.git'
ACL_BACKEND='git@192.168.122.56:teknisa/aclbackend.git'

LOGIN='git@gitlab.teknisa.com:teknisa/loginsetup.git'

ACL_VERSION='PROD_2272_2.8.2'
LOGIN_VERSION='PROD_1874_4.7.1'

mkdir -p $PRODUCT_PATH/modules/teknisa

rm -rf $PRODUCT_PATH/modules/acl
rm -rf $PRODUCT_PATH/modules/teknisa/acl

rm -rf $PRODUCT_PATH/modules/login

cd $PRODUCT_PATH/modules
{
    
    git clone $ACL_SERVICE 'acl'
    cd $PRODUCT_PATH/modules/acl && git checkout $ACL_VERSION
    git clone $ACL_MOBILE 'mobile'
    cd $PRODUCT_PATH/modules/acl/mobile && git checkout $ACL_VERSION
    npm install && bower update --allow-root && grunt
    cd $PRODUCT_PATH/modules/acl/backend
    composer update

    cd $PRODUCT_PATH/modules/teknisa
    git clone $ACL_BACKEND 'acl'
    cd $PRODUCT_PATH/modules/teknisa/acl && git checkout $ACL_VERSION


} || {
    echo 'Error in acl module'
}

cd $PRODUCT_PATH/modules
{
    
    git clone $LOGIN 'login'
    cd $PRODUCT_PATH/modules/login && git checkout $LOGIN_VERSION
    cd $PRODUCT_PATH/modules/login/mobile
    npm install && bower update --allow-root && grunt
    cd $PRODUCT_PATH/modules/login/backend
    composer update

} || {
    echo 'Error in login module'
}